#toast-container {
    position: fixed;
    z-index: 999999;
    pointer-events: none;
}

#toast-container * {
    box-sizing: border-box;
}

#toast-container > div {
    position: relative;
    pointer-events: auto;
    overflow: hidden;
    margin: 0 0 6px;
    padding: 15px 15px 15px 50px;
    width: 300px;
    border-radius: 3px;
    background-position: 15px center;
    background-repeat: no-repeat;
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.2);
    color: #FFFFFF;
    opacity: 0.8;
}

#toast-container > div:hover {
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.3);
    opacity: 1;
    cursor: pointer;
}

#toast-container.toast-top-right {
    top: 12px;
    right: 12px;
}

#toast-container.toast-top-left {
    top: 12px;
    left: 12px;
}

#toast-container.toast-bottom-right {
    bottom: 12px;
    right: 12px;
}

#toast-container.toast-bottom-left {
    bottom: 12px;
    left: 12px;
}

#toast-container.toast-top-center {
    top: 12px;
    left: 50%;
    transform: translateX(-50%);
}

#toast-container.toast-bottom-center {
    bottom: 12px;
    left: 50%;
    transform: translateX(-50%);
}

@media all and (max-width: 240px) {
    #toast-container > div {
        padding: 8px 8px 8px 50px;
        width: 11em;
    }
    #toast-container .toast-close-button {
        right: -0.2em;
        top: -0.2em;
    }
}

@media all and (min-width: 241px) and (max-width: 480px) {
    #toast-container > div {
        padding: 8px 8px 8px 50px;
        width: 18em;
    }
}

@media all and (min-width: 481px) and (max-width: 768px) {
    #toast-container > div {
        padding: 15px 15px 15px 50px;
        width: 25em;
    }
}

#toast-container > .toast-error {
    background-color: #BD362F;
}

#toast-container > .toast-success {
    background-color: #51A351;
}

#toast-container > .toast-warning {
    background-color: #F89406;
}

#toast-container > .toast-info {
    background-color: #2F96B4;
}
